Package com.avaya.clientservices.media

## Enum EchoCancellationMobileMode

- java.lang.Object
- - java.lang.Enum<EchoCancellationMobileMode>
  - - com.avaya.clientservices.media.EchoCancellationMobileMode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<EchoCancellationMobileMode>`

      public enum EchoCancellationMobileMode
      extends java.lang.Enum<EchoCancellationMobileMode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DEFAULT` |
    `EARPIECE` |
    `LOUD_EARPIECE` |
    `LOUD_SPEAKERPHONE` |
    `QUIET_EARPIECE_OR_HEADSET` |
    `SPEAKERPHONE` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EchoCancellationMobileMode` | `fromInt​(int v)` |
    `int` | `intValue()` |
    `static EchoCancellationMobileMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static EchoCancellationMobileMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final EchoCancellationMobileMode DEFAULT

    - #### QUIET_EARPIECE_OR_HEADSET

          public static final EchoCancellationMobileMode QUIET_EARPIECE_OR_HEADSET

    - #### EARPIECE

          public static final EchoCancellationMobileMode EARPIECE

    - #### LOUD_EARPIECE

          public static final EchoCancellationMobileMode LOUD_EARPIECE

    - #### SPEAKERPHONE

          public static final EchoCancellationMobileMode SPEAKERPHONE

    - #### LOUD_SPEAKERPHONE

          public static final EchoCancellationMobileMode LOUD_SPEAKERPHONE

  - ### Method Detail

    - #### values

          public static EchoCancellationMobileMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EchoCancellationMobileMode c : EchoCancellationMobileMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EchoCancellationMobileMode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromInt

          public static EchoCancellationMobileMode fromInt​(int v)

    - #### intValue

          public int intValue()